Post by phpnewbie_oc » Wed May 09, 2018 7:39 pm

Hi,

My question is does Opencart 2.3.0.2 WorldPay Online Payments support TLS 1.2?
I received an email saying they are stopping the support of TLS 1.0 on WorldPay.
I don't want my new site to break, does anyone know anything about this?

Newbie

Posts

Joined
Mon Apr 16, 2018 7:20 pm

Post by ADD Creative » Thu May 10, 2018 7:57 pm

The Worldpay module should be fine as it doesn't restrict which SSL/TLS protocol should be used.

The issue you may have it that your hosting may not support TLS 1.2 via PHP cURL functions. You will need to ask your web host this.

Or you could try testing your hosting yourself by putting the code below in a .php file and accessing it. Remember to remove it afterwards.

Code: Select all

<?php 
$ch = curl_init('https://www.howsmyssl.com/a/check');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$data = curl_exec($ch);
curl_close($ch);

$json = json_decode($data);
echo $json->tls_version;
?>

www.add-creative.co.uk


Active Member

Posts

Joined
Sat Jan 14, 2012 1:02 am
Location - United Kingdom
Who is online

Users browsing this forum: No registered users and 3 guests